Package: org.codehaus.groovy.ant

## [Java] Class LoggingHelper

- org.codehaus.groovy.ant.LoggingHelper

-     public class LoggingHelper
      extends Object

  Helper to make logging from Ant easier.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LoggingHelper(Task owner)` Creates a logging helper for the supplied Ant task.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `debug(String msg)` Logs a debug message.
    `` | `public void` | `error(String msg)` Logs an error message.
    `` | `public void` | `error(String msg, Throwable t)` Logs an error message together with its cause.
    `` | `public void` | `info(String msg)` Logs an informational message.
    `` | `public void` | `verbose(String msg)` Logs a verbose diagnostic message.
    `` | `public void` | `warn(String msg)` Logs a warning message.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public LoggingHelper(Task owner)

      Creates a logging helper for the supplied Ant task.

      Parameters:
        `owner` - the task that should receive log messages

  - ### Method Detail

    - #### public void debug(String msg)

      Logs a debug message.

      Parameters:
        `msg` - the message to log

    - #### public void error(String msg)

      Logs an error message.

      Parameters:
        `msg` - the message to log

    - #### public void error(String msg, Throwable t)

      Logs an error message together with its cause.

      Parameters:
        `msg` - the message to log
        `t` - the associated failure

    - #### public void info(String msg)

      Logs an informational message.

      Parameters:
        `msg` - the message to log

    - #### public void verbose(String msg)

      Logs a verbose diagnostic message.

      Parameters:
        `msg` - the message to log

    - #### public void warn(String msg)

      Logs a warning message.

      Parameters:
        `msg` - the message to log